using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using ZedGraph;

namespace LogAxis
{
	public partial class Form1 : Form
	{
		public Form1 ()
		{
			InitializeComponent ();

			DrawGraph ();
		}

		private double f (double x)
		{
			if (x == 0)
			{
				return 1;
			}

			return Math.Abs (Math.Sin (x) / x);
		}

		private void DrawGraph ()
		{
			//    
			GraphPane pane = zedGraph.GraphPane;

			// !!!
			//    
			pane.YAxis.Type = AxisType.Log;

			//    
			pane.YAxis.Scale.MaxAuto = false;
			pane.YAxis.Scale.MinAuto = false;

			//        10^(-3)  1
			pane.YAxis.Scale.Max = 1.0;
			pane.YAxis.Scale.Min = 1e-3;

			
			//      ,       
			pane.CurveList.Clear ();

			//   
			PointPairList list = new PointPairList ();

			double xmin = -50;
			double xmax = 50;

			//   
			for (double x = xmin; x <= xmax; x += 0.01)
			{
				list.Add (x, f (x));
			}

			//  
			pane.AddCurve ("", list, Color.Blue, SymbolType.None);

			//   AxisChange (),     
			zedGraph.AxisChange ();

			//  
			zedGraph.Invalidate ();
		}
	}
}